# frozen_string_literal: true

lib = File.expand_path('lib', __dir__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'jekyll/images/version'

Gem::Specification.new do |spec|
  spec.name          = 'jekyll-images'
  spec.version       = Jekyll::Images::VERSION
  spec.authors       = ['f']
  spec.email         = ['f@sutty.nl']

  spec.summary       = 'Optimizes images for Jekyll'
  spec.description   = 'Optimizes images for Jekyll'
  spec.homepage      = 'https://0xacab.org/sutty/jekyll/jekyll-images'
  spec.license       = 'GPL-3.0'

  spec.metadata['allowed_push_host'] = 'https://rubygems.org'

  spec.metadata['homepage_uri'] = spec.homepage
  spec.metadata['source_code_uri'] = spec.homepage
  spec.metadata['changelog_uri'] = "#{spec.homepage}/blob/master/CHANGELOG.md"

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files = Dir.chdir(File.expand_path(__dir__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_dependency 'ruby-vips', '~> 2'
  spec.add_dependency 'ruby-filemagic', '~> 0.7'

  spec.add_development_dependency 'bundler', '~> 2.0'
  spec.add_development_dependency 'minitest', '~> 5.0'
  spec.add_development_dependency 'rake', '~> 10.0'
  spec.add_development_dependency 'rubocop', '~> 0.74'
end
